<?php

/**
 * Phire Calculate Sort
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once dirname(__FILE__) . '/config.check.php';

// Calculate sort parameter
if (isset($_GET['sort'])) {
    if ((isset($_GET['page'])) && ($sess->last_sort == $_GET['sort'])) {
        $sort = (string)Moc10_String::setString($_GET['sort'])->escape()->striptags() . ' ' . $sess->last_sort_order;
    } else if ($sess->last_sort == $_GET['sort']) {
        if ($sess->last_sort_order == 'ASC') {
            $sort = (string)Moc10_String::setString($_GET['sort'])->escape()->striptags() . ' DESC';
            $sess->last_sort_order = 'DESC';
        } else {
            $sort = (string)Moc10_String::setString($_GET['sort'])->escape()->striptags() . ' ASC';
            $sess->last_sort_order = 'ASC';
        }
    } else {
        $sort = (string)Moc10_String::setString($_GET['sort'])->escape()->striptags() . ' ASC';
        $sess->last_sort_order = 'ASC';
    }
    $sess->last_sort = (string)Moc10_String::setString($_GET['sort'])->escape()->striptags();
} else {
    $sort = $int_sort_id . ' ASC';
    $sess->last_sort = $int_sort_id;
    $sess->last_sort_order = 'ASC';
}

?>
