<?php

/**
 * Phire Clear 404s
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once '../../bootstrap.php';

if (isset($_POST['rm_404s'][0])) {

    $site404s = new Phire_Table_404s();

    foreach ($_POST['rm_404s'] as $url) {
        $site404s->execute("DELETE FROM " . DB_PREFIX . "404s WHERE page_url = '" . (string)Moc10_String::setString($url)->escape() . "' AND site_id = '" . (string)Moc10_String::setString($_POST['site_id'])->escape(true)->striptags() . "' LIMIT 1");
    }

    if (isset($_POST['plugin'])) {
        header('Location: ' . BASE_PATH . CONTENT_PATH . '/extensions/plugins/' . $_POST['plugin'] . '/?action=removed&sys_path=' . BASE_PATH . SYS_PATH);
    } else {
        header('Location: ' . BASE_PATH . SYS_PATH . '/system/view-404s.php?sid=' . $_POST['site_id'] . '&action=removed');
    }

} else {
    if (isset($_POST['plugin'])) {
        header('Location: ' . BASE_PATH . CONTENT_PATH . '/extensions/plugins/' . $_POST['plugin'] . '/?sys_path=' . BASE_PATH . SYS_PATH);
    } else {
        header('Location: ' . BASE_PATH . SYS_PATH . '/system/view-404s.php?sid=' . $_POST['site_id']);
    }
}

?>
