<?php

/**
 * Phire Check Username
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once '../../bootstrap.php';

// Check for duplicate username in the system.
if (isset($_GET['username'])) {

    if (isset($_GET['current'])) {

        $user = new Phire_Table_Users();
        $user->findBy('username', $_GET['username']);
        if (isset($user->user_id) && ($user->username != $_GET['current'])) {
            print("<em class=\"error\" style=\"margin: 0; padding: 5px 0;\">" . $lang->__('That username already exists. Please try another username.') . "</em>");
        } else {
            print('');
        }

    } else {

        $user = new Phire_Table_Users();
        $user->findBy('username', $_GET['username']);
        if (isset($user->user_id)) {
            print("<em class=\"error\" style=\"margin: 0; padding: 5px 0;\">" . $lang->__('That username already exists. Please try another username.') . "</em>");
        } else {
            print('');
        }
    }

}

?>
